/* 
 * File:   ds3232.h
 * Author: Rutger
 *
 * Created on den 22 januari 2014, 19:18
 */

#ifndef DS3232_H
#define	DS3232_H

#include "DateTime.h"

class ds3232 {
public:
    ds3232();
    ds3232(const ds3232& orig);
    virtual ~ds3232();

    //int GetInt();
    void Init(void);

    void SendData(unsigned char adr, unsigned char data);

    DateTime::DateTimeData dateTime;

    void SetDateTime(DateTime::DateTimeData dt);
    DateTime::DateTimeData GetDateTime(void);
    unsigned short GetTemperature(void);

    
private:

};

#endif	/* DS3232_H */

